On 04/11/15 18:11, Sebastiaan Couwenberg wrote:
> On 04-11-15 17:47, Yuri D'Elia wrote:
>> INFO: PUT https://api.openstreetmap.org/api/0.6/changeset/create... 
>> ERROR: java.lang.NoClassDefFoundError: 
>> org/apache/commons/codec/binary/Base64. Cause: 
>> java.lang.ClassNotFoundException: org.apache.commons.codec.binary.Base64
> 
> Unfortunately I cannot reproduce your issue, I just successfully
> uploaded a changeset with josm (0.0.svn8969+dfsg-2).
> 
> libcommons-codec-java isn't used by JOSM since r8149, as mentioned on
> the josm-dev list:

Yes, I've seen libandroid-json-org-java being removed automatically as
no longer used.

> https://lists.openstreetmap.org/pipermail/josm-dev/2015-October/007530.html
> 
> How can I reproduce your issue?

Somehow this is generated on a lower level by liboauth-signpost-java
(which *does* depend on libcommons-codec-java - which is also installed
correctly).

I have no idea why honestly. I'm not familiar with the jre to understand
what's going on. It worked fine since the last update.

Some hints on what could trigger this?

Could that be generated indirectly by some plugin I have installed?
I have the following in my ~/.josm/plugins:

ElevationProfile.jar
download_along.jar
measurement.jar
scripting.jar
waydownloader.jar
continuosDownload.jar
log4j.jar
routing.jar
splinex.jar

and all are up-to-date.

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to